Foreman - Bug #18125

provisioning a client with 2 nics will have to default gateways
01/18/2017 04:45 AM - Marek Hulan

Status: Closed
Priority: Normal
Assignee: Marek Hulan
Category: Network
Target version: 1.14.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1376924 Red Hat JIRA:
Pull request: https://github.com/theforeman/communit
y-templates/pull/345
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1376924

Description of problem:

provisioning a client with 2 nics will have to default gateways.

Version-Release number of selected component (if applicable):

Foreman 1.11+

How reproducible:

Create 2 subnets and specify the gateway for etch one then create a client and add 2 networks to point to these 2 subnets. After you

kickstart the client the client will have 2 default gateways. when we create a new host we need to have an option to specify the
default gateway instead to remove the gateway from the subnets.

Associated revisions

Revision 92b5ca92 - 01/18/2017 12:48 PM - Marek Hulan

Fixes #18125 - set default gateway by primary interface

History

#1 - 01/18/2017 04:47 AM -

Marek Hulan

- Subject changed from provisioning a client with 2 nics will have to default gateways
to provisioning a client with 2 nics will have to default gateways

- Assignee set to Marek Hulan

- Target version setto 115

The issue is not the fact we have multiple gateways but that we don't have control over which default gateway wins. | didn't find a way to specify
custom metric in dhcpd and it probably make sense to define only one default gateway based on which interface is primary. Therefore we can adjust
the configuring template so it defines DEFROUTE accordingly. | don't know how this works on deb based systems, but so far no one reported issues

there.

#2 - 01/18/2017 04:49 AM -

The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/community-templates/pull/345 added

#3 - 01/18/2017 01:01 PM -

Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset community-templates|92b5ca92219efa90b68a3517a92371dca61e235a.
https://bugzilla.redhat.com/show_bug.cgi?id=1376924
https://projects.theforeman.org/projects/foreman/repository/community-templates/revisions/92b5ca92219efa90b68a3517a92371dca61e235a

#4 - 01/19/2017 03:14 AM - Dominic Cleal

- translation missing: en.field_release set to 210
